Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058089 - [abrt] eog: stop_interpolation(): eog killed by SIGSEGV
Summary: [abrt] eog: stop_interpolation(): eog killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eog
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d82cec8c7dd697540c4bb4f54d4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 00:14 UTC by Szabo Akos
Modified: 2015-06-29 14:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:47:04 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: cgroup (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: core_backtrace (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: dso_list (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: environ (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: exploitable (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: limits (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: maps (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: open_fds (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: proc_pid_status (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details
File: var_log_messages (deleted)
2014-01-27 00:14 UTC, Szabo Akos
no flags Details

Description Szabo Akos 2014-01-27 00:14:24 UTC
Description of problem:
See a picture, using an open source nvidia driver

Version-Release number of selected component:
eog-3.10.2-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        eog /home/fonya/Music/Zene/.mediaartlocal/album-26b637ed41273425be243e8d42e5b461-803018fcc4d3db1b76450851f738ca93.jpeg
crash_function: stop_interpolation
executable:     /usr/bin/eog
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 stop_interpolation at ./champlain-adjustment.c:146
 #1 champlain_adjustment_interpolate_stop at ./champlain-adjustment.c:160
 #2 champlain_viewport_stop at ./champlain-viewport.c:154
 #3 champlain_view_dispose at ./champlain-view.c:600
 #5 clutter_actor_destroy at ./clutter-actor.c:8466
 #6 clutter_actor_iter_destroy at ./clutter-actor.c:18533
 #7 clutter_actor_destroy_all_children at ./clutter-actor.c:13073
 #8 clutter_stage_dispose at ./clutter-stage.c:1902
 #10 clutter_actor_destroy at ./clutter-actor.c:8466
 #11 gtk_clutter_embed_dispose at ./gtk-clutter-embed.c:167

Comment 1 Szabo Akos 2014-01-27 00:14:29 UTC
Created attachment 855837 [details]
File: backtrace

Comment 2 Szabo Akos 2014-01-27 00:14:31 UTC
Created attachment 855838 [details]
File: cgroup

Comment 3 Szabo Akos 2014-01-27 00:14:33 UTC
Created attachment 855839 [details]
File: core_backtrace

Comment 4 Szabo Akos 2014-01-27 00:14:35 UTC
Created attachment 855840 [details]
File: dso_list

Comment 5 Szabo Akos 2014-01-27 00:14:37 UTC
Created attachment 855841 [details]
File: environ

Comment 6 Szabo Akos 2014-01-27 00:14:39 UTC
Created attachment 855842 [details]
File: exploitable

Comment 7 Szabo Akos 2014-01-27 00:14:41 UTC
Created attachment 855843 [details]
File: limits

Comment 8 Szabo Akos 2014-01-27 00:14:43 UTC
Created attachment 855844 [details]
File: maps

Comment 9 Szabo Akos 2014-01-27 00:14:47 UTC
Created attachment 855845 [details]
File: open_fds

Comment 10 Szabo Akos 2014-01-27 00:14:49 UTC
Created attachment 855846 [details]
File: proc_pid_status

Comment 11 Szabo Akos 2014-01-27 00:14:51 UTC
Created attachment 855847 [details]
File: var_log_messages

Comment 12 Enolynn 2014-06-17 18:09:41 UTC
Another user experienced a similar problem:

Ouverture d'une image tiff rvb (10 Mo) avec masque de transparence.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        eog '/home/enolynn/T\xc3\xa9l\xc3\xa9chargements/sliding-icon-button-1.6.14/sliding-icon-button-1.6.14/main_image.gif'
crash_function: stop_interpolation
executable:     /usr/bin/eog
kernel:         3.14.4-200.fc20.x86_64
package:        eog-3.10.2-1.fc20
reason:         eog killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 10:41:39 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:47:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.